Page 4 sur 5 PremièrePremière ... 2345 DernièreDernière
Affichage des résultats 31 à 40 sur 46

Discussion: could not bind to address 0.0.0.0:80

  1. #31
    Membre
    Date d'inscription
    December 2008
    Messages
    29

    Re : could not bind to address 0.0.0.0:80

    Citation Envoyé par st-h Voir le message
    Et envoie le contenu du fichier /tmp/stop.log

    (et supprime la ligne set -x)
    Il n'y a rien dans le fichier.

    par contre, en voulant faire un start d'apache2 après, cela m'a provoqué le message d'erreur :
    Code:
    root@ns23377:~# /etc/init.d/apache2 stop 2>/tmp/stop.log
    Stopping web server (apache2)....
    root@ns23377:~# /etc/init.d/apache2 start
    Starting web server (apache2)...(98)Address already in use: make_sock: could not bind to address 0.0.0.0:80
    no listening sockets available, shutting down
    Unable to open logs
     failed!

  2. #32
    Membre
    Date d'inscription
    February 2010
    Messages
    113

    Re : could not bind to address 0.0.0.0:80

    ?? tu as bien mis le set -x ?
    Envoie le fichier /etc/init.d/apache2
    Dernière modification par st-h ; 07/05/2010 à 13h51.
    Infogérance de serveur - Monitoring - Audit sécurité système et site Web - Analyse sur incidents et intrusions - Spécialiste Linux
    http://www.st-hebergement.fr contact@st-hebergement.fr

  3. #33
    Membre
    Date d'inscription
    December 2008
    Messages
    29

    Re : could not bind to address 0.0.0.0:80

    Citation Envoyé par st-h Voir le message
    ?? tu as bien mis le set -x ?
    Envoie le fichier /etc/init.d/apache2
    le voici :
    Code:
    #!/bin/sh -e
    #
    # apache2		This init.d script is used to start apache2.
    #			It basically just calls apache2ctl.
    
    ENV="env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin"
    
    #[ `ls -1 /etc/apache2/sites-enabled/ | wc -l | sed -e 's/ *//;'` -eq 0 ] && \
    #echo "You haven't enabled any sites yet, so I'm not starting apache2." && \
    #echo "To add and enable a host, use addhost and enhost." && exit 0
    
    #edit /etc/default/apache2 to change this.
    NO_START=0
    
    set -e
    if [ -x /usr/sbin/apache2 ] ; then
    	HAVE_APACHE2=1
    else
    	echo "No apache MPM package installed"
    	exit 0
    fi
    
    . /lib/lsb/init-functions
    
    test -f /etc/default/rcS && . /etc/default/rcS
    test -f /etc/default/apache2 && . /etc/default/apache2
    if [ "$NO_START" != "0" -a "$1" != "stop" ]; then 
            log_warning_msg "Not starting apache2 - edit /etc/default/apache2 and change NO_START to be 0.";
            exit 0;
    fi
    
    APACHE2="$ENV /usr/sbin/apache2"
    APACHE2CTL="$ENV /usr/sbin/apache2ctl"
    
    pidof_apache() {
        # if pidof is null for some reasons the script exits automagically
        # classified as good/unknown feature
        PIDS=`pidof apache2` || true
        
        PID=""
        
        # let's try to find the pid file
        # apache2 allows more than PidFile entry in the config but only
        # the last found in the config is used
        for PFILE in `grep ^PidFile /etc/apache2/* -r | awk '{print $2}'`; do
    	if [ -e $PFILE ]; then
                cat $PFILE
                return 0
    	fi
        done
        REALPID=0
        # if there is a pid we need to verify that belongs to apache2
        # for real
        for i in $PIDS; do
            if [ "$i" = "$PID" ]; then
    	    # in this case the pid stored in the
    	    # pidfile matches one of the pidof apache
    	    # so a simple kill will make it
                echo $PID
                return 0
            fi
        done
        return 1
    }
    
    apache_stop() {
    	if `apache2 -t > /dev/null 2>&1`; then
    		# if the config is ok than we just stop normaly
    		$APACHE2 -k stop
    	else
    		# if we are here something is broken and we need to try
    		# to exit as nice and clean as possible
    		PID=$(pidof_apache)
    
    		if [ "${PID}" ]; then
    			# in this case it is everything nice and dandy
    			# and we kill apache2
    			kill $PID
    		elif [ "$(pidof apache2)" ]; then
    			if [ "$VERBOSE" != no ]; then
                                    echo " ... failed!"
    			        echo "You may still have some apache2 processes running.  There are"
     			        echo "processes named 'apache2' which do not match your pid file,"
    			        echo "and in the name of safety, we've left them alone.  Please review"
    			        echo "the situation by hand."
                            fi
                            return 1
    		fi
    	fi
    }
    
    apache_sync_stop() {
    	# running ?
    	PIDTMP=$(pidof_apache)
    	if $(kill -0 "${PIDTMP:-}" 2> /dev/null); then
    	    PID=$PIDTMP
    	fi
    
    	apache_stop
    
    	# wait until really stopped
    	if [ -n "${PID:-}" ]; then
    		i=0
    		while $(kill -0 "${PID:-}" 2> /dev/null);  do
            		if [ $i = '30' ]; then
            			break;
            	 	else
            			if [ $i = '0' ]; then
                    			echo -n " waiting "
            			else
                    	      		echo -n "."
            		 	fi
            			i=$(($i+1))
            			sleep 2
            	      fi
    		 done
    	fi
    }
    
    # Stupid hack to keep lintian happy. (Warrk! Stupidhack!).
    case $1 in
    	start)
    		[ -f /etc/apache2/httpd.conf ] || touch /etc/apache2/httpd.conf
    		[ -d /var/run/apache2 ] || mkdir -p /var/run/apache2
    		install -d -o www-data /var/lock/apache2
    		#ssl_scache shouldn't be here if we're just starting up.
    		[ -f /var/run/apache2/ssl_scache ] && rm -f /var/run/apache2/*ssl_scache*
    		log_begin_msg "Starting web server (apache2)..."
    		if $APACHE2CTL start; then
                            log_end_msg 0
                    else
                            log_end_msg 1
                    fi
    	;;
    	stop)
    		log_begin_msg "Stopping web server (apache2)..."
    		if apache_stop; then
                            log_end_msg 0
                    else
                            log_end_msg 1
                    fi
    	;;
    	reload)
    		if ! $APACHE2CTL configtest > /dev/null 2>&1; then
                        $APACHE2CTL configtest || true
                        log_end_msg 1
                        exit 1
                    fi
                    log_begin_msg "Reloading web server config..."
    		if pidof_apache; then
                        if $APACHE2CTL graceful $2 ; then
                            log_end_msg 0
                        else
                            log_end_msg 1
                        fi
                    fi
    	;;
    	restart | force-reload)
    		log_begin_msg "Forcing reload of web server (apache2)..."
    		if ! apache_sync_stop; then
                            log_end_msg 1
                    fi
    		if $APACHE2CTL start; then
                            log_end_msg 0
                    else
                            log_end_msg 1
                    fi
    	;;
    	*)
    		log_success_msg "Usage: /etc/init.d/apache2 {start|stop|restart|reload|force-reload}"
    	;;
    esac

  4. #34
    Membre
    Date d'inscription
    February 2010
    Messages
    113

    Re : could not bind to address 0.0.0.0:80

    Ajoute donc la ligne:
    Code:
    set -x
    aprés la ligne:
    Code:
    #!/bin/sh -e
    et refais:

    Code:
     /etc/init.d/apache2 stop 2>/tmp/stop.log
    et envoie le fichier /tmp/stop.log
    Infogérance de serveur - Monitoring - Audit sécurité système et site Web - Analyse sur incidents et intrusions - Spécialiste Linux
    http://www.st-hebergement.fr contact@st-hebergement.fr

  5. #35
    Membre
    Date d'inscription
    December 2008
    Messages
    29

    Re : could not bind to address 0.0.0.0:80

    Je l'avais fait sur un autre fichier, désolé.
    Voici le rendu du fichier log :
    Code:
    + ENV='env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin'
    + NO_START=0
    + set -e
    + '[' -x /usr/sbin/apache2 ']'
    + HAVE_APACHE2=1
    + . /lib/lsb/init-functions
    ++ FANCYTTY=
    ++ '[' -e /etc/lsb-base-logging.sh ']'
    ++ true
    + test -f /etc/default/rcS
    + . /etc/default/rcS
    ++ TMPTIME=0
    ++ SULOGIN=no
    ++ DELAYLOGIN=no
    ++ UTC=yes
    ++ VERBOSE=no
    ++ FSCKFIX=yes
    ++ RAMRUN=no
    ++ RAMLOCK=no
    + test -f /etc/default/apache2
    + . /etc/default/apache2
    ++ NO_START=0
    + '[' 0 '!=' 0 -a stop '!=' stop ']'
    + APACHE2='env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin /usr/sbin/apache2'
    + APACHE2CTL='env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin /usr/sbin/apache2ctl'
    + case $1 in
    + log_begin_msg 'Stopping web server (apache2)...'
    + '[' -z 'Stopping web server (apache2)...' ']'
    + echo -n 'Stopping web server (apache2)...'
    + apache_stop
    ++ apache2 -t
    + env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin /usr/sbin/apache2 -k stop
    + log_end_msg 0
    + '[' -z 0 ']'
    + log_use_fancy_output
    + TPUT=/usr/bin/tput
    + EXPR=/usr/bin/expr
    + '[' xxterm-color '!=' xdumb ']'
    + '[' -x /usr/bin/tput ']'
    + '[' -x /usr/bin/expr ']'
    + /usr/bin/tput hpa 60
    + FANCYTTY=0
    + case "$FANCYTTY" in
    + false
    + '[' 0 -eq 0 ']'
    + echo .
    + return 0

  6. #36
    Membre
    Date d'inscription
    February 2010
    Messages
    113

    Re : could not bind to address 0.0.0.0:80

    Bon j'ai l'impression que le script d'init est un peu daubé... Qu'elle est da distrib?

    Essaye avec ce script (sauvegarde le tien avant bien sur pour ne pas le perdre):

    Code:
    #!/bin/sh -e
    #
    # apache2		This init.d script is used to start apache2.
    #			It basically just calls apache2ctl.
    
    ENV="env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin"
    
    #[ `ls -1 /etc/apache2/sites-enabled/ | wc -l | sed -e 's/ *//;'` -eq 0 ] && \
    #echo "You haven't enabled any sites yet, so I'm not starting apache2." && \
    #echo "To add and enable a host, use addhost and enhost." && exit 0
    
    #edit /etc/default/apache2 to change this.
    NO_START=0
    
    set -e
    if [ -x /usr/sbin/apache2 ] ; then
    	HAVE_APACHE2=1
    else
    	echo "No apache MPM package installed"
    	exit 0
    fi
    
    . /lib/lsb/init-functions
    
    test -f /etc/default/rcS && . /etc/default/rcS
    test -f /etc/default/apache2 && . /etc/default/apache2
    if [ "$NO_START" != "0" -a "$1" != "stop" ]; then 
            log_warning_msg "Not starting apache2 - edit /etc/default/apache2 and change NO_START to be 0.";
            exit 0;
    fi
    
    APACHE2="$ENV /usr/sbin/apache2"
    APACHE2CTL="$ENV /usr/sbin/apache2ctl"
    
    pidof_apache() {
        # if pidof is null for some reasons the script exits automagically
        # classified as good/unknown feature
        PIDS=`pidof apache2` || true
        
        PID=""
        
        # let's try to find the pid file
        # apache2 allows more than PidFile entry in the config but only
        # the last found in the config is used
        for PFILE in `grep ^PidFile /etc/apache2/* -r | awk '{print $2}'`; do
    	if [ -e $PFILE ]; then
                cat $PFILE
                return 0
    	fi
        done
        REALPID=0
        # if there is a pid we need to verify that belongs to apache2
        # for real
        for i in $PIDS; do
            if [ "$i" = "$PID" ]; then
    	    # in this case the pid stored in the
    	    # pidfile matches one of the pidof apache
    	    # so a simple kill will make it
                echo $PID
                return 0
            fi
        done
        return 1
    }
    
    apache_stop() {
    	if `apache2 -t > /dev/null 2>&1`; then
    		# if the config is ok than we just stop normaly
    		$APACHE2CTL stop 2>&1 | grep -v 'not running' >&2 || true
    	else
    		# if we are here something is broken and we need to try
    		# to exit as nice and clean as possible
    		PID=$(pidof_apache)
    
    		if [ "${PID}" ]; then
    			# in this case it is everything nice and dandy
    			# and we kill apache2
    			kill $PID
    		elif [ "$(pidof apache2)" ]; then
    			if [ "$VERBOSE" != no ]; then
                                    echo " ... failed!"
    			        echo "You may still have some apache2 processes running.  There are"
     			        echo "processes named 'apache2' which do not match your pid file,"
    			        echo "and in the name of safety, we've left them alone.  Please review"
    			        echo "the situation by hand."
                            fi
                            return 1
    		fi
    	fi
    }
    
    apache_sync_stop() {
    	# running ?
    	PIDTMP=$(pidof_apache)
    	if $(kill -0 "${PIDTMP:-}" 2> /dev/null); then
    	    PID=$PIDTMP
    	fi
    
    	apache_stop
    
    	# wait until really stopped
    	if [ -n "${PID:-}" ]; then
    		i=0
    		while $(kill -0 "${PID:-}" 2> /dev/null);  do
            		if [ $i = '30' ]; then
            			break;
            	 	else
            			if [ $i = '0' ]; then
                    			echo -n " waiting "
            			else
                    	      		echo -n "."
            		 	fi
            			i=$(($i+1))
            			sleep 2
            	      fi
    		 done
    	fi
    }
    
    # Stupid hack to keep lintian happy. (Warrk! Stupidhack!).
    case $1 in
    	start)
    		[ -f /etc/apache2/httpd.conf ] || touch /etc/apache2/httpd.conf
    		[ -d /var/run/apache2 ] || mkdir -p /var/run/apache2
    		install -d -o www-data /var/lock/apache2
    		#ssl_scache shouldn't be here if we're just starting up.
    		[ -f /var/run/apache2/ssl_scache ] && rm -f /var/run/apache2/*ssl_scache*
    		log_begin_msg "Starting web server (apache2)..."
    		if $APACHE2CTL start; then
                            log_end_msg 0
                    else
                            log_end_msg 1
                    fi
    	;;
    	stop)
    		log_begin_msg "Stopping web server (apache2)..."
    		if apache_stop; then
                            log_end_msg 0
                    else
                            log_end_msg 1
                    fi
    	;;
    	reload)
    		if ! $APACHE2CTL configtest > /dev/null 2>&1; then
                        $APACHE2CTL configtest || true
                        log_end_msg 1
                        exit 1
                    fi
                    log_begin_msg "Reloading web server config..."
    		if pidof_apache; then
                        if $APACHE2CTL graceful $2 ; then
                            log_end_msg 0
                        else
                            log_end_msg 1
                        fi
                    fi
    	;;
    	restart | force-reload)
    		log_begin_msg "Forcing reload of web server (apache2)..."
    		if ! apache_sync_stop; then
                            log_end_msg 1
                    fi
    		if $APACHE2CTL start; then
                            log_end_msg 0
                    else
                            log_end_msg 1
                    fi
    	;;
    	*)
    		log_success_msg "Usage: /etc/init.d/apache2 {start|stop|restart|reload|force-reload}"
    	;;
    esac
    Test le en stop et start.
    Infogérance de serveur - Monitoring - Audit sécurité système et site Web - Analyse sur incidents et intrusions - Spécialiste Linux
    http://www.st-hebergement.fr contact@st-hebergement.fr

  7. #37
    Membre
    Date d'inscription
    December 2008
    Messages
    29

    Re : could not bind to address 0.0.0.0:80

    Ok merci, je vous tiens au courant.

  8. #38
    Membre
    Date d'inscription
    June 2007
    Messages
    1 060

    Re : could not bind to address 0.0.0.0:80

    Tu a mis quoi comme ip après <VirtualHost :80> dans ton fichier de conf des vhost ?
    Et dans le fichier /etc/apache2/ports.conf tu a mis quoi dans Listen ?

    Tu a un virtualmin d'installer ou un plesk ?

  9. #39
    Membre
    Date d'inscription
    December 2008
    Messages
    29

    Re : could not bind to address 0.0.0.0:80

    Il semble que le script de @st-h ait fonctionné, ce matin, le serveur ne s'est pas écroulé comme à son habitude.

    Je vous tiens au courant si cela fonctionne

    merci encore à tous pour votre support !

  10. #40
    Membre
    Date d'inscription
    February 2010
    Messages
    113

    Re : could not bind to address 0.0.0.0:80

    Bonjour,

    Erf, quand je relis les 1er posts je m'aperçois que le fichier /etc/apache2/envvars est vide chez toi (aucune variable d'environement de définie).

    En fin de fichier, ajoute ces lignes

    Code:
    export APACHE_RUN_USER=www-data
    export APACHE_RUN_GROUP=www-data
    export APACHE_PID_FILE=/var/run/apache2.pid
    export LANG=C
    Et remet le script original, tout devrait fonctionner Teste à main avec un:

    Code:
    /etc/init.d/apache2 stop
    /etc/init.d/apache2 start
    Désolé, je n'ai pas percuté la 1er fois quand tu as envoyé le fichier envvars sur le forum.
    Infogérance de serveur - Monitoring - Audit sécurité système et site Web - Analyse sur incidents et intrusions - Spécialiste Linux
    http://www.st-hebergement.fr contact@st-hebergement.fr

Page 4 sur 5 PremièrePremière ... 2345 DernièreDernière

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •